* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Betania Patmos", cursive;
    font-weight: 400;
    font-style: normal;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background: url('./bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}


main {
    flex: 1;
    margin-bottom: 30px;
}

.container {
    max-width: 1024px;
    width: 100%;
    margin: 0 auto;
}

header {
    background-color: #e8cdff9c;
    padding: 16px 0;
    color: #ffffff;
    top: 0;
    z-index: 10;
}

header > .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 16px;
}

header > .container h1 {
    padding: 10px;
}

#menu {
    display: flex;
    list-style: none;
    gap: 20px;
    text-transform: uppercase;
}

#menu li a {
    font-weight: bold;
    text-decoration: none;
    color: #ffffff;
}

#menu li a:hover {
    color: #faffb9;
}

#sobreLoja {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 30px;
    padding: 30px;
}

.container-flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

#sobreLoja img {
    max-width: 400px;
    width: 100%;
    border-radius: 8px;
    aspect-ratio: 1 / 1 !important;
    border-radius: 5px;
}

#sobreLoja h2 {
    color: #ffffff;
    margin-left: 30px;
    font-size: 30px;
}

#sobreLoja h3 {
    color: #ffffff;
    margin-left: 15px;
}

#sobreLoja p {
    color: #ffffff;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    font-size: 20px;
}

.container-lista {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center;
    gap: 20px;
    list-style: none;
    padding: 20px 0;
    width: 100%;
}

.container-lista li {
    background-color: #ffffff;
    border-radius: 8px;
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    flex: 0 1 calc(25% - 20px); 
}

#produtos h2 {
    color: #ffffff;
    margin-left: 40px;
    font-size: 30px;
}

#produtos img {
    width: 100%;
    object-fit: cover;
    border-radius: 5px;
    margin-bottom: 10px;
    aspect-ratio: 1 / 1 !important;
}

#produtos h3 {
    color: #f8b6b6;
    margin-bottom: 10px;
}

#produtos p {
    color: #f8b6b6;
    margin-bottom: 10px;   
}

strong {
    padding: 10px;
    color:#e8cdff
}

strong:hover {
    padding: 10px;
    color:#c588fa;
    text-weight: bolder;
}

#produtos button {
    border: none;
    color: #ffffff;
    background-color: #82d7ff;
    padding: 10px 20px;
    margin-top: 15px;
    width: 100%;
    max-width: 200px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
}

#produtos button:hover {
    color: #ffffff;
    background-color: #67caf8;
}

#social-links ul {
    display: flex;
    list-style: none;
    gap: 15px;
    background-color: #e8cdff9c;
    justify-content: center;
    padding: 30px;
}

#social-links img {
    width: 30px;
    height: 30px;
    justify-content: center;
}

#social-links li {
    color: #ffffff;
    font-size: 20px;
    align-items: center;
}

.rodape p {
    background-color: #e8cdff9c;
    color: #ffffff;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 15px;
}

@media (min-width: 1024px) {
}

@media screen and (min-width: 641px) and (max-width: 1023px) {
    .container-lista li {
        flex: 0 1 calc(50% - 20px);
    }
}


@media (max-width: 640px) {
    header > .container { 
        flex-direction: column; gap: 10px; 
    }
    .container-lista li {
        flex: 0 1 100%;
    }
    p {
        font-size: 20px;
    }
}